godo.Apps.GetExec()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Apps.GetExec(ctx context.Context, appID string, deploymentID string, component string) (*godo.AppExec, *godo.Response, error)

Description

GetExec retrieves the websocket URL used for sending/receiving console input and output. Deprecated: Use GetExecWithOpts instead.

This method sends a GET request to /v2/apps/{}/deployments/{}/components/{}/exec.

Parameters

appID string required
deploymentID string required
component string required

Returns

*godo.AppExec
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.AppExec

AppExec represents the websocket URL used for sending/receiving console input and output.

URL string

JSON key: url

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Apps.GetExec(ctx, "<your-app-id>", "<your-deployment-id>", "<your-component>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

Response Example

Show Response Example
{
  "url": "wss://exec/?token=xxx"
}

More Information

See GET /v2/apps/{}/deployments/{}/components/{}/exec in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.